Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type EmailControl.Email

    @Target(value={TYPE,FIELD})
    @Retention(value=RUNTIME)
    public static @interface EmailControl.Email

The Email cotrol attributes used to send email. This annotation can appear on class declarations.

Required Element Summary
`String` | `smtpAddress` A string containing the address of the SMTP server in host:port or host form.

Optional Element Summary
`String` | `fromAddress` A string containing the originating e-mail address.
`String` | `fromName` A string containing the display name for the originating e-mail address.
`String` | `headerEncoding` A string specifying the encoding to be used for the mail headers as specified by from-name, reply-to-name, to, bc, bcc, subject, and attachments.
`String` | `replyToAddress` A string containing the e-mail address to reply to.
`String` | `replyToName` A string containing the display name for the reply-to-address.
`String` | `smtpPassword` A string containing the associated password.
`String` | `smtpPasswordAlias` A string containing the password alias.
`String` | `smtpUsername` A string containing the username for server's that require authentication to send.

Element Detail

### smtpAddress

    public abstract String smtpAddress

  A string containing the address of the SMTP server in host:port or host form. If the port is not specified, the standard SMTP port of 25 is used. This attribute is required.

### fromAddress

    public abstract String fromAddress

  A string containing the originating e-mail address. This attribute is required if the fromName attribute is present.

  Default:
    "Not Specified"

### fromName

    public abstract String fromName

  A string containing the display name for the originating e-mail address. This is an optional attribute.

  Default:
    "Not Specified"

### replyToAddress

    public abstract String replyToAddress

  A string containing the e-mail address to reply to. This attribute is required if the replyToName attribute is present.

  Default:
    "Not Specified"

### replyToName

    public abstract String replyToName

  A string containing the display name for the reply-to-address. This attribute is optional.

  Default:
    "Not Specified"

### headerEncoding

    public abstract String headerEncoding

  A string specifying the encoding to be used for the mail headers as specified by from-name, reply-to-name, to, bc, bcc, subject, and attachments. If no header encoding is specified, the system default encoding is used.

  Default:
    "Not Specified"

### smtpUsername

    public abstract String smtpUsername

  A string containing the username for server's that require authentication to send. This attribute is optional.

  Default:
    "Not Specified"

### smtpPassword

    public abstract String smtpPassword

  A string containing the associated password. This attribute is optional.

  Default:
    "Not Specified"

### smtpPasswordAlias

    public abstract String smtpPasswordAlias

  A string containing the password alias. The alias is used to look up the password in the password store. This attribute is optional and is mutually exclusive with the smtpPassword attribute.

  Default:
    "Not Specified"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT